> ## Documentation Index
> Fetch the complete documentation index at: https://docs.quno.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All Brands

> Returns all brands that have any visibility data



## OpenAPI

````yaml GET /api/v1/brands/get_all_brands
openapi: 3.1.0
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: http://api.quno.ai
security:
  - bearerAuth: []
paths:
  /api/v1/brands/get_all_brands:
    get:
      description: Returns all brands that have any visibility data
      parameters: []
      responses:
        '200':
          description: Brand response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Brand'
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Brand:
      type: object
      properties:
        brand:
          type: string
          description: Brand name
        brand_id:
          type: integer
          description: ID of the brand
        color:
          type: string
          description: Hex color for the brand
      required:
        - brand
        - brand_id
        - color
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````